#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

out vec4 fragColor;

in vec3 Normal;
in vec3 Position;

uniform vec3 cameraPos;
uniform samplerCube cubeMap;

uniform float window_brightness;

// skybox
in vec3 TextureCoordinates;
uniform bool skybox;

void main()
{            
    if (skybox) 
    {
        fragColor = texture(cubeMap, TextureCoordinates);
    } else {
        vec3 I = normalize(Position - cameraPos);
        vec3 R = reflect(I, normalize(Normal));
        fragColor = vec4(texture(cubeMap, R).rgb, 1.0);
        
        fragColor.xyz = fragColor.xyz * window_brightness;
    }
}

