#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

// because Geometry.draw() sets these uniforms
uniform mat4 modelMatrix;
uniform mat3 normalMatrix;

layout(location = 0) in vec3 squareVertices;

out vec2 UV;

uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;
uniform vec3 lightPosition;	
uniform vec2 offset;
uniform float scale;
uniform float screenX;
uniform float screenY;


void main() {

	gl_Position = projectionMatrix * viewMatrix * vec4(lightPosition, 1.0f);			
	gl_Position /= gl_Position.w;
	gl_Position.xy += squareVertices.xy * vec2((100/screenX) * scale, (100/screenY) * scale);	
	
	gl_Position.xy += offset;
	gl_Position.z *= 0.5 * (-1 * abs(offset.x));


	UV = squareVertices.xy + vec2(0.5, 0.5);

}